ACOSH(3) | Library Functions Manual | ACOSH(3)

# NAME

`acosh`, `acoshf`, `acoshl` — inverse hyperbolic cosine function

# LIBRARY

Math Library (libm, -lm)

# SYNOPSIS

`#include <math.h>`

double
`acosh`(double x);

float
`acoshf`(float x);

long double
`acoshl`(long double x);

# DESCRIPTION

The `acosh`(), `acoshf`(), and `acoshl`() functions compute the inverse hyperbolic cosine of the real argument x.

# RETURN VALUES

If x is less than one, `acosh`(x), `acoshf`(x), and `acoshl`(x) return NaN and set the global variable errno to `EDOM`.

# SEE ALSO

asinh(3), atanh(3), exp(3), math(3)

# STANDARDS

The `acosh`() function conforms to ISO/IEC 9899:1999 (“ISO C99”).

# HISTORY

The `acosh`() function appeared in 4.3BSD.

January 29, 2013 | NetBSD 11.0